# Модификация предметов.

Модуль модификации предметов для `LegBK`. 

На вход подаются:
- `$item_data`: Текущие параметры конкретного предмета. В базе LegBK можно искать по запросу 
```sql 
SELECT `data` FROM items_users WHERE ...
```
- `$item_data_default`: Параметры по умолчанию для предмета такого типа. На эти параметры будет сброшен предмет в случае провала операции. В базе LegBK можно искать по запросу 
```sql
SELECT `data` FROM items_main_data WHERE items_id = ...
```

На выходе двумерный массив:
```php
[
    'new_item_data' => string,
    'operation_cost' => integer,
    'status' => integer,
]
```
1. Новые параметры предмета.
1. Стоимость услуги.
1. Статус успеха операции.

---

Написано на `PHP 5.4`.